Instalar spotify (Leap 42)

1. Instalar spotify (Leap 42)

Matth
MattF

(usa Slackware)

Enviado em 13/11/2015 - 12:50h

Olá pessoal, migrei recentemente para o open suse e estou usando o leap 42. Consegui fazer quase tudo que queria, só falta o spotify e o drafftsight mesmo. O draftsight não é tão importante já que quando preciso de um cad mesmo tenho que recorrer ao windows para usar o autocad. Já o spotify é algo pessoal, costumo fazer tudo escultando música e então esse precisava instalar mesmo. Já tentei quase tudo que sei. Aqui vai:

Eu tentei o spotfy-installer do repositório packman, mas eu recebo o seguinte erro na partida:

> Spotify
Spotify: /lib64/libcrypto.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
Spotify: /lib64/libssl.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
22: 11: 59,786 I [breakpad.cpp: 110] Registered Breakpad para o produto: Spotify

22: 11: 59,788 I [translate.cpp: 152] recarregando arquivo de idioma
22: 11: 59,799 I [translate.cpp: 152] recarregando arquivo de idioma
22: 11: 59,800 I [breakpad.cpp: 269] Procura crashdumps: /home/matheus/.cache/spotify/*.dmp

selftest libgcrypt: binário (0): Selftest falhou (/usr/lib64/.libgcrypt.so.11.hmac)
Ohhhh jeeee: ... este é um bug (global.c: 137: global_init)
Anulando


Então eu fui tentar converter o deb para rpm e instalar, como é mostrado aqui: https://forums.opensuse.org/showthre...enSUSE-Factory

Mas não funcionou. Eu tive o erro:


Spotify: /lib64/libcrypto.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
Spotify: /lib64/libssl.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
22: 20: 32,214 I [breakpad.cpp: 110] Registered Breakpad para o produto: Spotify

22: 20: 32,215 I [translate.cpp: 152] recarregando arquivo de idioma
Uma janelas diz: Spotify está em execução, mas não repoding. Por favor, feche e tente novamente

Ao tentar executar.

Houve uma dependência em falta quando eu o instalei (o seguinte é em uma segunda tentativa):


zypper em libxmlsec1 - openssl -devel nss- compa- openssl -devel xmlsec1 - -devel openssl - libxmlsec1 openssl1
Carregando dados repositório ...
Lendo os pacotes instalados ...
'Libxmlsec1 - openssl1' já está instalado.
Nenhum candidato a atualização para 'libxmlsec1 - openssl1-1.2.20-1.1.x86_64'. A versão maior já está instalado.
'Libxmlsec1 - -devel openssl' já está instalado.
Nenhum candidato a atualização para 'libxmlsec1 - openssl -devel- 1.2.18-1.1.x86_64'. A versão maior já está instalado.
'Xmlsec1 - -devel openssl' já está instalado.
Nenhum candidato a atualização para 'xmlsec1 - -devel- openssl 1.2.20-1.1.x86_64'. A versão maior já está instalado.
'Nss- compa- openssl -devel' não foi encontrado nos nomes de pacotes. Tentando encontrar recursos.
Não foi encontrada provedor 'nss- compa- openssl -devel'.
Resolvendo dependências do pacote ...
Nada para fazer.


Tentando instalar nss-compat-openssl-devel de um rpm pediu tive a dependência nss-compat-openssl-devel-0.9.2-22.1.2.x86_64 e esse último pediu libnss_compat_ossl0-0.9.2-22.1.2.aarch64 e este pediu ld-linux-aarch64 que eu não achei em nenhum lugar até agora em rpm.

Então partir para o wine. Baixei um .exe de instalação do spotify, ele instalou, mas quando tento abrir só fica uma janela sem nada dentro.

O que mais me resta a tentar?


  


2. Instalação Spotify OpenSuse Leap

Anderson Soares Toledo
fsystem

(usa openSUSE)

Enviado em 26/11/2015 - 10:20h

Amigo, segui este passo a passo e funcionou perfeitamente no Leap.

https://gist.github.com/olejon/c444ac99d7b6625e458f


3. Instalação Spotify (Leap 42.1)

Perfil removido
removido

(usa Nenhuma)

Enviado em 02/04/2016 - 23:43h

Ressuscitando o tópico, encontrei esse repositório [1] que rodou perfeitamente após fixar um erro nas opções de download utilizando wget [2].

[1] https://github.com/cornguo/opensuse-spotify-installer
[2] https://github.com/cornguo/opensuse-spotify-installer/pull/3


4. Spotify openSUSE

Anderson Reis
kakarotoanderson

(usa Slackware)

Enviado em 04/05/2017 - 23:36h

zypper ar http://negativo17.org/repos/spotify/epel-7/x86_64/ spotify
sudo rpm --import http://negativo17.org/repos/RPM-GPG-KEY-slaanesh
zypper ref
zypper in spotify-client


5. Re: Instalar spotify (Leap 42)

Paulo Jr
Pebis

(usa Debian)

Enviado em 05/05/2017 - 01:02h

MattF escreveu:

Olá pessoal, migrei recentemente para o open suse e estou usando o leap 42. Consegui fazer quase tudo que queria, só falta o spotify e o drafftsight mesmo. O draftsight não é tão importante já que quando preciso de um cad mesmo tenho que recorrer ao windows para usar o autocad. Já o spotify é algo pessoal, costumo fazer tudo escultando música e então esse precisava instalar mesmo. Já tentei quase tudo que sei. Aqui vai:

Eu tentei o spotfy-installer do repositório packman, mas eu recebo o seguinte erro na partida:

> Spotify
Spotify: /lib64/libcrypto.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
Spotify: /lib64/libssl.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
22: 11: 59,786 I [breakpad.cpp: 110] Registered Breakpad para o produto: Spotify

22: 11: 59,788 I [translate.cpp: 152] recarregando arquivo de idioma
22: 11: 59,799 I [translate.cpp: 152] recarregando arquivo de idioma
22: 11: 59,800 I [breakpad.cpp: 269] Procura crashdumps: /home/matheus/.cache/spotify/*.dmp

selftest libgcrypt: binário (0): Selftest falhou (/usr/lib64/.libgcrypt.so.11.hmac)
Ohhhh jeeee: ... este é um bug (global.c: 137: global_init)
Anulando


Então eu fui tentar converter o deb para rpm e instalar, como é mostrado aqui: https://forums.opensuse.org/showthre...enSUSE-Factory

Mas não funcionou. Eu tive o erro:


Spotify: /lib64/libcrypto.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
Spotify: /lib64/libssl.so.1.0.0: nenhuma informação de versão disponível (exigida pelo Spotify)
22: 20: 32,214 I [breakpad.cpp: 110] Registered Breakpad para o produto: Spotify

22: 20: 32,215 I [translate.cpp: 152] recarregando arquivo de idioma
Uma janelas diz: Spotify está em execução, mas não repoding. Por favor, feche e tente novamente




Para instalar o libcrypto faça o seguinte. Add o repositório abaixo

zypper addrepo http://download.opensuse.org/repositories/home:Knurpht:Extras/openSUSE_Leap_42.2/home:Knurpht:Extras...

instala o pacote necessário

sudo zypper refresh
sudo zypper in libgcrypt11

e efetue novamente o comando como usuário comum (não root)

install-spotify







6. Re: Instalar spotify (Leap 42)

LinuxWalker
Delusion

(usa Debian)

Enviado em 16/08/2017 - 22:19h

atualizando, deixo o procedimento que funcionou em 3 máquinas com opensuse aki (leap 42.3-xfce e tumbleweed-kde), caso alguém se depare com esse problema.

1. vá nesse link e baixe o repo correspondente ao seu opensuse: (no meu caso, baixei esse tal megamaced)
https://software.opensuse.org/package/spotify-easyrpm

se vc usa o kde/plasma, o yast faz tudo automático, basta clicar. Senão, após baixar, mande instalar, usando zypper.

2. digite no terminal:
spotify-easyrpm

novamente, o yast faz tudo sozinho, basta seguir as mensagens de confirmação, fornecer senha, etc.

nesse método, não há necessidade de baixar libs faltantes separadamente.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts